#if !defined(AFX_EDITBATCHFILE_H__E2CD40D0_C222_4AE1_B3DB_AA3E2FB084A8__INCLUDED_)
#define AFX_EDITBATCHFILE_H__E2CD40D0_C222_4AE1_B3DB_AA3E2FB084A8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditBatchFile.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditBatchFile dialog

#include "Max.h"
#include "resource.h"
#include <Stuff\StuffHeaders.hpp>

class CEditBatchFile : public CDialog
{
// Construction
public:
	CEditBatchFile(CString,Interface *,CWnd* pParent = NULL);   // standard constructor
	CString m_strFileName;
	NotationFile *m_pNotefile;
	void CreateBRBBatch(CString,Page *);
	Interface *ip;

// Dialog Data
	//{{AFX_DATA(CEditBatchFile)
	enum { IDD = IDD_EDITBATCHFILE };
	CListBox	m_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditBatchFile)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	//afx_msg void OnModify(bool = false);
	afx_msg void OnModify();
	afx_msg void OnAdd();
	afx_msg void OnExport();
	afx_msg void OnRemove();
	// Generated message map functions
	//{{AFX_MSG(CEditBatchFile)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITBATCHFILE_H__E2CD40D0_C222_4AE1_B3DB_AA3E2FB084A8__INCLUDED_)
